Switching from Spring 0.79.* to 0.80.*

Switching from Spring 0.79.* to 0.80.*

SpringRTS Perl Autohost for Dedicated Server

Moderators: Moderators, Lobby Developers, SPADS AutoHost

Post Reply
User avatar
bibim
Lobby Developer
Posts: 901
Joined: 06 Dec 2007, 11:12

Switching from Spring 0.79.* to 0.80.*

Post by bibim » 22 Aug 2009, 21:37

Reminder: SPADS upgrade instructions for new Spring releases are available here.

Note for Windows users:
EDIT: THIS MUST ONLY BE PERFORMED WHEN SWITCHING FROM SPRING 0.79.* TO 0.80.*
In this Spring release, unitsync.dll behaviour has changed a bit concerning the way it gets the Spring data directory, so I had to change the way SPADS uses it. SPADS no longer installs/updates/uses its own unitsync library. It uses the unitsync library installed with your main Spring installation instead. Due to this change, if you are currently upgrading a SPADS installation on Windows, you need to perform following actions:

- shutdown SPADS
- delete the unitsync.dll and updateInfo.txt files from your SPADS installation directory
- update your updater: (replace <release> by your actual realease: stable/testing/unstable/contrib)

Code: Select all

perl update.pl <release> update.pl
- update your SPADS packages:

Code: Select all

perl update.pl <release> -A
Then you should be able to launch SPADS normally.
Last edited by bibim on 04 Sep 2009, 15:59, edited 1 time in total.
0 x

Post Reply

Return to “SPADS AutoHost”

cron